Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# Pod::Simple::PullParserTextToken

Perl 5 version 26.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# Pod::Simple::PullParserTextToken

- NAME
- SYNOPSIS
- DESCRIPTION
- SEE ALSO
- SUPPORT
- COPYRIGHT AND DISCLAIMERS
- AUTHOR

# NAME

Pod::Simple::PullParserTextToken -- text-tokens from Pod::Simple::PullParser

# SYNOPSIS

(See Pod::Simple::PullParser)

# DESCRIPTION

When you do $parser->get_token on a Pod::Simple::PullParser, you might get an object of this class.

This is a subclass of Pod::Simple::PullParserToken and inherits all its methods, and adds these methods:

- $token->text

  This returns the text that this token holds. For example, parsing C<foo> will return a C start-token, a text-token, and a C end-token. And if you want to get the "foo" out of the text-token, call `$token->text`

- $token->text(somestring)

  This changes the string that this token holds. You probably won't need to do this.

- $token->text_r()

  This returns a scalar reference to the string that this token holds. This can be useful if you don't want to memory-copy the potentially large text value (well, as large as a paragraph or a verbatim block) as calling $token->text would do.

  Or, if you want to alter the value, you can even do things like this:

        for ( ${  $token->text_r  } ) {  # Aliases it with $_ !!    s/ The / the /g; # just for example    if( 'A' eq chr(65) ) {  # (if in an ASCII world)      tr/\xA0/ /;      tr/\xAD//d;    }    ...or however you want to alter the value...    (Note that starting with Perl v5.8, you can use, e.g.,        my $nbsp = chr utf8::unicode_to_native(0xA0);        s/$nbsp/ /g;    to handle the above regardless if it's an ASCII world or not)  }

You're unlikely to ever need to construct an object of this class for yourself, but if you want to, call `Pod::Simple::PullParserTextToken->new( text )`

# SEE ALSO

Pod::Simple::PullParserToken, Pod::Simple, Pod::Simple::Subclassing

# SUPPORT

Questions or discussion about POD and Pod::Simple should be sent to the pod-people@perl.org mail list. Send an empty email to pod-people-subscribe@perl.org to subscribe.

This module is managed in an open GitHub repository, https://github.com/perl-pod/pod-simple/. Feel free to fork and contribute, or to clone git://github.com/perl-pod/pod-simple.git and send patches!

Patches against Pod::Simple are welcome. Please send bug reports to <bug-pod-simple@rt.cpan.org>.

# COPYRIGHT AND DISCLAIMERS

Copyright (c) 2002 Sean M. Burke.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

This program is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.

# AUTHOR

Pod::Simple was created by Sean M. Burke <sburke@cpan.org>. But don't bother him, he's retired.

Pod::Simple is maintained by:

- Allison Randal `allison@perl.org`
- Hans Dieter Pearcey `hdp@cpan.org`
- David E. Wheeler `dwheeler@cpan.org`

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- SEE ALSO
- SUPPORT
- COPYRIGHT AND DISCLAIMERS
- AUTHOR